require_relative './test_helper.rb'

require 'tmpdir'
require 'teaching_printables'


class FactoryTest < MiniTest::Test
  def test_avery5371_with_array_content
    content = (1..10).to_a.map{|i| i.to_s}
    Dir.mktmpdir do |dir|
      output_file_name = File.join(dir,"output.pdf")
      TeachingPrintables::Factory::avery5371_with_array_content(content,output_file_name)
      assert File.exist?(output_file_name)
    end
  end
  def test_hundreds_grid
    Dir.mktmpdir do |dir|
      output_file_name = File.join(dir,"output.pdf")
      TeachingPrintables::Factory::hundreds_grid(output_file_name)
      assert File.exist?(output_file_name)
    end
  end
  def test_quad_ruled_paper_with_1_cm_rule
    Dir.mktmpdir do |dir|
      output_file_name = File.join(dir,"output.pdf")
      TeachingPrintables::Factory::quad_ruled_paper("2","1","cm",output_file_name)
      assert File.exist?(output_file_name)
    end
  end
  def test_quad_ruled_paper_with_quarter_inch_rule
    Dir.mktmpdir do |dir|
      output_file_name = File.join(dir,"output.pdf")
      TeachingPrintables::Factory::quad_ruled_paper("2",".25","in",output_file_name)
      assert File.exist?(output_file_name)
    end
  end

end
