require_relative './test_helper.rb'



class GridableTest < Minitest::Test
  def setup
    @doc = TeachingPrintables::TPDocument.new
    class << @doc
      include TeachingPrintables::Gridable
    end
    @content = (1..20).to_a.map{|i| i.to_s}
  end
  
  def test_default_options
    @doc.add_grid_content(@content)
    assert_equal 2, @doc.grid_rows
    assert_equal 2, @doc.grid_columns
  end
 
  def test_updates_print_template 
    @doc.update_grid_options(columns: 2, rows: 5, gutter: 10 )
    @doc.add_grid_content(@content)
    assert_equal 5, @doc.grid.rows
    assert_equal 2, @doc.grid.columns
    assert_equal 10, @doc.grid.gutter
  end
  
  def test_adds_content
    @doc.add_grid_content(@content)
    assert_equal 5, @doc.page_number
  end
  
end
