require_relative './test_helper.rb'

class TemplatableTest < Minitest::Test
  def setup
    @doc = TeachingPrintables::TPDocument.new
    class << @doc
      include TeachingPrintables::Templatable
    end
  end
  
  def test_creates_page_with_correct_template
    @doc.create_page_with_template(:avery5371)
    @doc.add_grid_content(%W[a b c d e f g h i j])
    assert_equal({:left=>54.0, :right=>54.0, :top=>36.0, :bottom=>36.0},@doc.page.margins)
    assert_equal(2, @doc.grid.columns)
    assert_equal(5, @doc.grid.rows)
    assert_equal(144, @doc.grid.row_height)
    assert_equal(252, @doc.grid.column_width)
    assert_equal(0.0,@doc.grid.gutter)
  end
  
  def test_is_gridable
    assert (class << @doc; self; end).included_modules.include?(TeachingPrintables::Gridable)
  end
   
end
